{ config, pkgs, ... }:
{
  # system packages + services
  environment.systemPackages = with pkgs; [
    vim 
    wget
    fastfetch
    lsof
    btop
    git
    openssl
    stdenv
    gnumake
    parted
    zfs

    code-server
  ];

  virtualisation.docker = {
    enable = true;
    enableOnBoot = true;
    package = pkgs.docker.override {
      buildGoModule = pkgs.buildGo123Module;
    };
  };

  services.openssh.enable         = true;
  services.printing.enable        = true;
  services.tailscale.enable       = true;
  services.tailscale.useRoutingFeatures = "both";
}
